<?php
#MODIFICADO 30/01/2017 ERICA G.
#Modificacion 09-02-2017 Jhon Numpaque | Inclusión de consulta por tercero recibido
session_start();
require_once '../Conexion/conexion.php';
// require_once('Conexion/ConexionPDO.php');
require_once('../Conexion/ConexionPDO.php');
$con = new ConexionPDO();
$conexion = $_SESSION['conexion'];
$cuenta = $_REQUEST['cuenta'];

if (!empty($_REQUEST['ter'])) {
    $tercero = $_REQUEST['ter'];

    switch ($conexion) {
        case 1:
            $row = $con->Listar("SELECT  IF(CONCAT_WS(' ', ter.nombreuno, ter.nombredos, ter.apellidouno, ter.apellidodos) IS NULL OR CONCAT_WS(' ', ter.nombreuno, ter.nombredos, ter.apellidouno, ter.apellidodos)='' ,
        (ter.razonsocial),CONCAT_WS(' ',ter.nombreuno,ter.nombredos,ter.apellidouno,ter.apellidodos)) AS 'NOMBRE', 
        ter.id_unico, CONCAT(ti.nombre,' - ',ter.numeroidentificacion) AS 'TipoD' FROM gf_tercero ter
        LEFT JOIN gf_tipo_identificacion ti ON ti.id_unico = ter.tipoidentificacion          
        WHERE ter.id_unico = $tercero");
            break;
        case 2:
            $row = $con->Listar("SELECT 
        LTRIM(ter.nombreuno || ' ' || ter.nombredos || ' ' || ter.apellidouno || ' ' || ter.apellidodos || ' ' || ter.razonsocial)
        AS NOMBRE, 
        ter.id_unico, 
        ti.nombre || ' - ' || ter.numeroidentificacion AS TipoD
        FROM gf_tercero ter
        LEFT JOIN gf_tipo_identificacion ti ON ti.id_unico = ter.tipoidentificacion          
        WHERE ter.id_unico =$tercero");
            break;
        default:
            # code...
            break;
    }
    // $result = $mysqli->query($sql);
    // $row=  mysqli_fetch_row($result);
    echo '<option value="' . $row[0][1] . '">' . ucwords(strtolower($row[0][0])) . '</option>';
    switch ($conexion) {
        case 1:
            $result1 = $con->Listar("SELECT  IF(CONCAT_WS(' ', ter.nombreuno, ter.nombredos, ter.apellidouno, ter.apellidodos) IS NULL OR CONCAT_WS(' ', ter.nombreuno, ter.nombredos, ter.apellidouno, ter.apellidodos)='' ,
            (ter.razonsocial),CONCAT_WS(' ',ter.nombreuno,ter.nombredos,ter.apellidouno,ter.apellidodos)) AS 'NOMBRE', 
            ter.id_unico, CONCAT(ti.nombre,' - ',ter.numeroidentificacion) AS 'TipoD' FROM gf_tercero ter
            LEFT JOIN gf_tipo_identificacion ti ON ti.id_unico = ter.tipoidentificacion          
            WHERE ter.id_unico != $tercero");
            break;
        case 2:
            $result1 = $con->Listar("SELECT 
            LTRIM(ter.nombreuno || ' ' || ter.nombredos || ' ' || ter.apellidouno || ' ' || ter.apellidodos || ' ' || ter.razonsocial)
            AS NOMBRE, 
            ter.id_unico, 
            ti.nombre || ' - ' || ter.numeroidentificacion AS TipoD
            FROM gf_tercero ter
            LEFT JOIN gf_tipo_identificacion ti ON ti.id_unico = ter.tipoidentificacion
            WHERE ter.id_unico != $tercero");
            break;
        default:
            # code...
            break;
    }
    // $result1 = $mysqli->query($sql1);
    // while ($row1 =  mysqli_fetch_row($result1)) {
    for ($row1 = 0; $row1 < count($result1); $row1++) {
        echo '<option value="' . $result1[$row1][1] . '">' . ucwords(strtolower($result1[$row1][0])) . '</option>';
    }
} else {
    switch ($conexion) {
        case 1:
            $result = $con->Listar("SELECT  IF(CONCAT_WS(' ', ter.nombreuno, ter.nombredos, ter.apellidouno, ter.apellidodos) IS NULL OR CONCAT_WS(' ', ter.nombreuno, ter.nombredos, ter.apellidouno, ter.apellidodos)='' ,
            (ter.razonsocial),CONCAT_WS(' ',ter.nombreuno,ter.nombredos,ter.apellidouno,ter.apellidodos)) AS 'NOMBRE', 
            ter.id_unico, CONCAT(ti.nombre,' - ',ter.numeroidentificacion) AS 'TipoD' FROM gf_tercero ter
            LEFT JOIN gf_tipo_identificacion ti ON ti.id_unico = ter.tipoidentificacion");
            //$result = $mysqli->query($sql);
            break;
        case 2:
            $result = $con->Listar("SELECT 
            LTRIM(ter.nombreuno || ' ' || ter.nombredos || ' ' || ter.apellidouno || ' ' || ter.apellidodos || ' ' || ter.razonsocial)
            AS NOMBRE, 
            ter.id_unico, 
            ti.nombre || ' - ' || ter.numeroidentificacion AS TipoD
            FROM gf_tercero ter
            LEFT JOIN gf_tipo_identificacion ti ON ti.id_unico = ter.tipoidentificacion");
            break;
        default:
            # code...
            break;
    }
    // while ($row =  mysqli_fetch_row($result)) {
    for ($row = 0; $row < count($result); $row++) {
        echo '<option value="' . $result[$row][1] . '">' . ucwords(strtolower($result[$row][0])) . '</option>';
    }
}
